#ifndef _AG_H
#define _AG_H

void ag_main_loop();
int ag_msg_send(int s, int msg, const void *data, int len);

#define AG_MSG_LOGIN					0x00
#define AG_MSG_LOGOUT					0x01
#define AG_MSG_FILEDELETED				0x04
#define AG_MSG_STATUS					0x05	/* READYFORTRANSFER */
#define AG_MSG_FILETRANSFERSTATE		0x06
#define AG_MSG_READYTOSENDSHARES		0x07
#define AG_MSG_SENDSHARESSTANDBY		0x08
#define AG_MSG_SENDSHARES				0x09
#define AG_MSG_FILETRANSFER				0x0A
#define AG_MSG_STOPFILETRANSFER			0x0B
#define AG_MSG_NEWSHAREREPLY			0x0D
#define AG_MSG_LOGINERROR				0x0E
#define AG_MSG_PLAYFILE					0x0F
#define AG_MSG_ACCOUNTEXISTENCE			0x1F
#define AG_MSG_OLDSHAREDFILE			0x20
#define AG_MSG_NEWSHAREDFILE			0x21
#define AG_MSG_DELETEREPLY				0x22
#define AG_MSG_NEWACCOUNT				0x23
#define AG_MSG_MAGICREQUEST 			0x24
#define AG_MSG_NEWACCOUNTREPLY			0x32
#define AG_MSG_ACCOUNTEXISTENCEREPLY	0x33
#define AG_MSG_DELETEREQUEST			0x34
#define AG_MSG_PLAYSONGLIST				0x35
#define AG_MSG_MAGICRESPONSE			0x37
#define AG_MSG_LOGGED_IN				0x38

#define AG_LOGINERR_INVALID				0x01	/* invalid username/password */
#define AG_LOGINERR_VERSION				0x02	/* bad client version */
#define AG_LOGINERR_LOGGEDIN			0x03	/* already logged in */
#define AG_LOGINERR_GOLDEXPIRED			0x04	/* gold account has expired */
#define AG_LOGINERR_NOTGOLD				0x05	/* account is not gold */

extern int srv_s;

#endif
