#include <netinet/in_systm.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netdb.h>

void socket_set_async(int s, int async);
struct in_addr *resolve_host(const unsigned char *host);
struct sockaddr_in *make_sockaddr(const unsigned char *host, int port);
int ip_match(const unsigned char *mask_str, struct in_addr *addr);
int tcp_connect(const struct sockaddr_in *addr, int async);
int tcp_listen(const struct sockaddr_in *addr, int backlog);
int poll_sock(int s, int write);
